Subject: Re: [PATCH] powerpc/p5040ds: Add support for P5040DS board

From: Timur Tabi <[email-masked]>
Date: Tue, 24 Jul 2012 15:45:44 -0500

Scott Wood wrote:
>> > +	bus-range = <0x0 0xff>;

> Do we really need this?

I can't find any documentation for this property, but it does appear to be
initialized by U-Boot:

	/* We assume a cfg_addr not being set means we didn't setup the controller */
	if ((hose == NULL) || (hose->cfg_addr == NULL)) {
		fdt_del_node(blob, off);
	} else {
		bus_range[0] = 0;
		bus_range[1] = hose->last_busno - hose->first_busno;
		fdt_setprop(blob, off, "bus-range", &bus_range[0], 2*4);
		fdt_pci_dma_ranges(blob, off, hose);
	}

So I have no idea if it's required in the DTS.

>> > +	clock-frequency = <33333333>;

> I doubt this is accurate.

Every other DTS sets this property to 33333333, and I don't see any code
in U-boot that fixes it up.

-- 
Timur Tabi
Linux kernel developer at Freescale